{% extends "base.html" %}
{% load auth_extras %}

{% block nav %}
{% include "parts/nav.html" with active_tab="home" %}
{% endblock %}

{% block jumbotron %}
<h1>MetaBase</h1>
<p>
  The metabarcoding database.
</p>
{% endblock %}

{% block content %}
<div class="row">
  <div class="col-md-6 py-2">
    <div class="card h-100">
      <div class="card-header">
        <h2>Project</h2>
      </div>
      <div class="card-body">
        <p>
          Allows to add, update and delete project into metaBase database.
          In this part you can update project information, add experiments and link libraries to a project.
        </p>
      </div>
      <div class="card-footer text-center">
        <a href={% url "metabaseEditor:manage_project" %} class="btn btn-outline-success {% if not user|has_permission:"editor" %}disabled{%endif%}">Manage</a>
      </div>
    </div>
  </div>
  <div class="col-md-6 py-2">
    <div class="card h-100">
      <div class="card-header">
        <h2>Experiment file template</h2>
      </div>
      <div class="card-body">
        <p>
          Required file to import experiment data.
        </p>
      </div>
      <div class="card-footer text-center">
        <a href={% url "metabaseHome:export_experiment_template" %} class="btn btn-outline-success">Download experiment file</a>
        <a href={% url "metabaseHome:export_experiment_template_with_macro" %} class="btn btn-outline-success">Download experiment file with macro</a>
        <a href={% url "metabaseHome:export_experiment_notice" %} class="btn btn-outline-success">Download notice</a>
      </div>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-md-6 py-2">
    <div class="card h-100">
      <div class="card-header">
        <h2>Sequencing information</h2>
      </div>
      <div class="card-body">
        <p>
          Allows to add and delete sequencing information file into metaBase database.
        </p>
      </div>
      <div class="card-footer text-center">
        <a href={% url "metabaseEditor:manage_sequencing" %} class="btn btn-outline-success {% if not user|has_permission:"editor" %}disabled{%endif%}">Manage</a>
      </div>
    </div>
  </div>
  <div class="col-md-6 py-2">
    <div class="card h-100">
      <div class="card-header">
        <h2>Sequencing file template</h2>
      </div>
      <div class="card-body">
        <p>
          Required file to import sequencing data when the file is not a Fasterix xml file.
        </p>
      </div>
      <div class="card-footer text-center">
        <a href={% url "metabaseHome:export_sequencing_template" %} class="btn btn-outline-success">Download sequencing file</a>
        <a href={% url "metabaseHome:export_sequencing_notice" %} class="btn btn-outline-success">Download notice</a>
      </div>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-md-6 py-2">
    <div class="card h-100">
      <div class="card-header">
        <h2>Browser</h2>
      </div>
      <div class="card-body">
        <p>
          Allows to search information from metabarcoding project into metaBase database.
        </p>
      </div>
      <div class="card-footer text-center">
        <a href={% url "metabaseBrowser:browser" %} class="btn btn-outline-success center">Browse</a>
      </div>
    </div>
  </div>
  <div class="col-md-6 py-2">
    <div class="card h-100">
      <div class="card-header">
        <h2>API</h2>
      </div>
      <div class="card-body">
        <p>
          Allows to get data from an API command.
        </p>
      </div>
      <div class="card-footer text-center">
        <a href={% url "metabaseAPI:api" %} class="btn btn-outline-success center">API</a>
      </div>
    </div>
  </div>
</div>
{% endblock %}
